# xo and ava not in fedora yet
%global enable_tests 0
%global module_name url-parse-lax

Name:           nodejs-%{module_name}
Version:        3.0.0
Release:        2%{?dist}
Summary:        The url.parse() with support for protocol-less URLs & IPs

License:        MIT
URL:            https://github.com/sindresorhus/url-parse-lax
Source0:        https://github.com/sindresorhus/%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(prepend-http)

%if 0%{?enable_tests}
BuildRequires: npm(ava)
BuildRequires: npm(xo)
%endif

%description
The url.parse() with support for protocol-less URLs & IPs.

%prep
%autosetup -n %{module_name}-%{version}
rm -rf node_modules
%nodejs_fixdep prepend-http

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
xo && ava
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 06 2018 Parag Nemade <pnemade AT redhat DOT com> - 3.0.0-1
- Update to 3.0.0 version (#1509761)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 21 2017 Parag Nemade <pnemade AT redhat DOT com> - v2.0.0-1
- Update to v2.0.0 version (#1504443)

* Sun Oct 01 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-5
- Relax dep on prepend-http

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 29 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

